calculateSuitability

This method is used to add investment suitability information to an account (createAccount).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

ParameterRequiredTypeDescription
clientIDyesstringTransactAPI Client ID
developerAPIKeyyesstringTransactAPI Developer Key
accountIdyesintegerAccount ID that is generated by the API once an account is created (createAccount)
riskProfilenoconditionalRisk Profile Score: 1,2,3,4,5 (1=very conservative; 5=very aggressive)
investmentExperiencenoconditionalInvestment Experience Score: 1,2,3,4,5 (1=none; 5=extensive)
privOffExperiencenoconditionalExperience Investing in Private Offerings Score: 1,2,3,4,5 (1=none; 5=extensive)
pctPrivSecuritiesnointegerPercentage of the Investor's Investment Portfolio that is invested in Private Placements
pctIlliquidSecuritiesnointegerPercentage of the Investor's Investment Portfolio that is invested in Illiquid Securities
pctLiquidSecuritiesnointegerPercentage of the Investor's Investment Portfolio that is invested in Liquid Securities
pctRealEstatenointegerPercentage of the Investor's Investment Portfolio that is invested in Real Estate
timeHorizonnoconditionalThe number of years until the investment portfolio is expected to reach maturity
educationnoconditionalInvestor's Highest level of education: High School or GED, 4 Year College or University, Graduate Degree, Other
financialAdvisornostringDoes the Investor have a financial advisor? Yes or No
notesnostringFree form text for any notes that need to be added for the suitability
investmentObjectivenostringPrimarily on Capital Preservation, Both Capital Preservation and Growth, Primarily Focused on growth
additionalnotesnostringFree form text for any notes that need to be added for the suitability

Sample Request

curl -k -X PUT https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/calculateSuitability
-d clientID=someclientid
-d developerAPIKey=somedeveloperkey
-d accountId=A43256
-d riskProfile=1
-d investmentExperience=1
-d investmentObjective=Both Capital Preservation and Growth
-d privOffExperience=1
-d pctPrivSecurities=5
-d pctIlliquidSecurities=4
-d pctLiquidSecurities=4
-d pctRealEstate=6
-d timeHorizon=4
-d education=High School or GED
-d financialAdvisor=yes
-d notes=Suitability for an account
-d additionalnotes=Suitability for an account

Response Parameters

ParameterTypeDescription
statusCodestringAPI Status Code
statusDescstringAPI Status Description
accountIdintegerUnique Identifier code for the account

Sample Response

{
        "statusCode": "101",
        "statusDesc": "Ok",
        "accountDetails": [{
                "accountId": "A43256"
        }]
}

Test it Yourself!

Body Params
string
required
string
required
int32
required
string
string
string
int32
int32
int32
int32
string
string
string
string
string
string
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!